libnvme(2)

NAME
enum nvme_mi_message_type - NVMe-MI message type field.

SYNOPSIS
enum nvme_mi_message_type {
NVME_MI_MT_CONTROL ,
NVME_MI_MT_MI ,
NVME_MI_MT_ADMIN ,
NVME_MI_MT_PCIE ,
NVME_MI_MT_AE

};

Constants

NVME_MI_MT_CONTROL
    NVME-MI Control Primitive

NVME_MI_MT_MI
    NVMe-MI command

NVME_MI_MT_ADMIN
    NVMe Admin command

NVME_MI_MT_PCIE
    PCIe command

NVME_MI_MT_AE
    Asynchronous Event

Description
Used as byte 1 of both request and response messages (NMIMT bits of NMP byte). Not to be confused with the MCTP message type in byte 0.